/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.core.omegat;

import benten.cat.glossary.core.BentenGlossaryDriver;
import benten.cat.glossary.core.BentenGlossaryDriverManager;
import benten.cat.glossary.core.BentenGlossaryEngine;

public class DefaultGlossaryDriver implements BentenGlossaryDriver {
	static {
		// 自分を登録。
		BentenGlossaryDriverManager.registerDriver(new DefaultGlossaryDriver());
	}

	public String getName() {
		return "omegat";
	}

	public BentenGlossaryEngine getEngineInstance() {
		return new DefaultGlossaryEngine();
	}
}
