/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.translation.core.omegat;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

import benten.cat.translation.core.CatTranslationCorePlugin;

public class DefaultTmPreferenceInitializer extends AbstractPreferenceInitializer {

	public static String CREATOR = "CREATOR";

	@Override
	public void initializeDefaultPreferences() {
		IPreferenceStore store = CatTranslationCorePlugin.getDefault().getPreferenceStore();
		store.setDefault(CREATOR, "");
	}
}
