/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.cat.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class ApplyExistentTranslationWizardPage extends WizardPage {

	protected ApplyExistentTranslationWizardPage() {
		super("TranslateByXliffWizardPage");
		setTitle("ようこそ");
		setDescription("過去訳を XLIFF に適用します。");
	}

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NULL);
		composite.setLayout(new GridLayout(2, false));

		Label label = new Label(composite, SWT.NULL);
		label
				.setText("このウィザードは、過去訳を XLIFF に適用します。\n\n 1.  翻訳単位の id をもとに過去訳を適用します。\n 2.  翻訳後の XLIFF にある過去訳を、XLIFF に適用します。\n 3.  この処理では TMX を利用しません。");

		setControl(composite);
	}
}
