/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.cat.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class ApplyFuzzyMatchWizardPage extends WizardPage {

	protected ApplyFuzzyMatchWizardPage() {
		super("ApplyFuzzyMatchWizardPage");
		setTitle("ようこそ");
		setDescription("TMX の類似訳を XLIFF に適用します。");
	}

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NULL);
		composite.setLayout(new GridLayout(1, false));

		Label label = new Label(composite, SWT.WRAP);
		label.setText("このウィザードは、TMX の類似訳を XLIFF に適用します。\n\n 1.  翻訳単位と類似する TMX を探し、翻訳単位の代替翻訳に適用します。");

		setControl(composite);
	}
}
