/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.cat.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class MarkNoTransableWizardPage extends WizardPage {

	protected MarkNoTransableWizardPage() {
		super("MarkNonTranslatableWizardPage");
		setTitle("ようこそ");
		setDescription("XLIFF 内の翻訳の必要のない翻訳単位を、非翻訳対象としてマークします。");
	}

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NULL);
		composite.setLayout(new GridLayout(1, false));

		Label label = new Label(composite, SWT.WRAP);
		label
				.setText("このウィザードは、XLIFF 内の翻訳の必要のない翻訳単位を、非翻訳対象としてマークします。\n\n 1.  XLIFF の翻訳単位の内容から、翻訳の必要の有無を判断します。\n 2.  翻訳の必要がないと判断されたものについて、非翻訳対象としてマークします。");

		setControl(composite);
	}
}
