/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.filter.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class ExportHtmlWizardPage extends WizardPage {

	protected ExportHtmlWizardPage() {
		super("ExportHtmlWizardPage");
		setTitle("ようこそ");
		setDescription("翻訳成果物をプロジェクトからエクスポートします。");
	}

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NULL);
		composite.setLayout(new GridLayout(2, false));

		Label label = new Label(composite, SWT.NULL);
		label.setText("このウィザードは、翻訳成果物をプロジェクトからエクスポートします。\n\n" + " 1.  XLIFF とインポートされた翻訳対象物をもちいて、翻訳成果物をエクスポートします。");

		setControl(composite);
	}
}
