/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.filter.wizards;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Composite;

import benten.twa.filter.dialogs.ExportHtmlDialog;
import benten.twa.ui.dialogs.AbstractWorkflowDialog;
import benten.twa.ui.wizards.AbstractWorkflowDialogWizardPage;

public class ExportHtmlWizardPage2 extends AbstractWorkflowDialogWizardPage {

	protected ExportHtmlWizardPage2(IStructuredSelection selection) {
		super(selection);
		setTitle("ディレクトリーの指定");
		setDescription("エクスポートに必要なディレクトリーを指定します。");
	}

	@Override
	public AbstractWorkflowDialog createWorkflowDialog(Composite parent, IStructuredSelection selection) {
		return new ExportHtmlDialog(parent.getShell(), selection);
	}
}
