/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package benten.twa.tmx.core.valueobject;

/**
 * 処理クラス [BentenExtractTmxFragmentProcess]の入力バリューオブジェクトクラスです。
 */
public class BentenExtractTmxFragmentProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 抽出元となる XLIFF ファイル。
     *
     * フィールド: [xlifffile]。
     */
    private String fXlifffile;

    /**
     * 抽出先となる TMX を格納するディレクトリ。
     *
     * フィールド: [tmxdir]。
     */
    private String fTmxdir;

    /**
     * 出力ファイル名に日付を含めるかどうか。
     *
     * フィールド: [includedate]。
     * デフォルト: [false]。
     */
    private boolean fIncludedate = false;

    /**
     * ホワイトスペースを無視した内容の TMX を抽出するかどうか。
     *
     * フィールド: [ignorewhitespacetmxextract]。
     * デフォルト: [false]。
     */
    private boolean fIgnorewhitespacetmxextract = false;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [xlifffile] の値を設定します。
     *
     * フィールドの説明: [抽出元となる XLIFF ファイル。]。
     *
     * @param argXlifffile フィールド[xlifffile]に設定する値。
     */
    public void setXlifffile(final String argXlifffile) {
        fXlifffile = argXlifffile;
    }

    /**
     * フィールド [xlifffile] の値を取得します。
     *
     * フィールドの説明: [抽出元となる XLIFF ファイル。]。
     *
     * @return フィールド[xlifffile]から取得した値。
     */
    public String getXlifffile() {
        return fXlifffile;
    }

    /**
     * フィールド [tmxdir] の値を設定します。
     *
     * フィールドの説明: [抽出先となる TMX を格納するディレクトリ。]。
     *
     * @param argTmxdir フィールド[tmxdir]に設定する値。
     */
    public void setTmxdir(final String argTmxdir) {
        fTmxdir = argTmxdir;
    }

    /**
     * フィールド [tmxdir] の値を取得します。
     *
     * フィールドの説明: [抽出先となる TMX を格納するディレクトリ。]。
     *
     * @return フィールド[tmxdir]から取得した値。
     */
    public String getTmxdir() {
        return fTmxdir;
    }

    /**
     * フィールド [includedate] の値を設定します。
     *
     * フィールドの説明: [出力ファイル名に日付を含めるかどうか。]。
     *
     * @param argIncludedate フィールド[includedate]に設定する値。
     */
    public void setIncludedate(final boolean argIncludedate) {
        fIncludedate = argIncludedate;
    }

    /**
     * フィールド [includedate] の値を取得します。
     *
     * フィールドの説明: [出力ファイル名に日付を含めるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[includedate]から取得した値。
     */
    public boolean getIncludedate() {
        return fIncludedate;
    }

    /**
     * フィールド [ignorewhitespacetmxextract] の値を設定します。
     *
     * フィールドの説明: [ホワイトスペースを無視した内容の TMX を抽出するかどうか。]。
     *
     * @param argIgnorewhitespacetmxextract フィールド[ignorewhitespacetmxextract]に設定する値。
     */
    public void setIgnorewhitespacetmxextract(final boolean argIgnorewhitespacetmxextract) {
        fIgnorewhitespacetmxextract = argIgnorewhitespacetmxextract;
    }

    /**
     * フィールド [ignorewhitespacetmxextract] の値を取得します。
     *
     * フィールドの説明: [ホワイトスペースを無視した内容の TMX を抽出するかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[ignorewhitespacetmxextract]から取得した値。
     */
    public boolean getIgnorewhitespacetmxextract() {
        return fIgnorewhitespacetmxextract;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("benten.twa.tmx.core.valueobject.BentenExtractTmxFragmentProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",xlifffile=" + fXlifffile);
        buf.append(",tmxdir=" + fTmxdir);
        buf.append(",includedate=" + fIncludedate);
        buf.append(",ignorewhitespacetmxextract=" + fIgnorewhitespacetmxextract);
        buf.append("]");
        return buf.toString();
    }
}
