/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.tmx.wizards;

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class MergeTmxWizardPage extends WizardPage {

	protected MergeTmxWizardPage() {
		super("MergeTmxWizardPage");
		setTitle("ようこそ");
		setDescription("TMX フラグメントを TMX にマージします。");
	}

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NULL);
		GridLayout layout = new GridLayout(1, false);
		composite.setLayout(layout);

		Label label = new Label(composite, SWT.WRAP);
		label.setText("このウィザードは、TMX フラグメントを TMX にマージします。\n\n 1.  TMX の内容を、別の TMX にマージします。");
		GridData gridDate = new GridData(GridData.FILL_BOTH);
		label.setLayoutData(gridDate);

		setControl(composite);
	}
}
