/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package benten.twa.xliff.core.valueobject;

/**
 * 処理クラス [BentenMergeXliffFragmentProcess]の入力バリューオブジェクトクラスです。
 */
public class BentenMergeXliffFragmentProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * マージ元となる XLIFF ファイル。
     *
     * フィールド: [sourcexlifffile]。
     */
    private String fSourcexlifffile;

    /**
     * マージ先となる XLIFF を格納するディレクトリ。
     *
     * フィールド: [targetxliffdir]。
     */
    private String fTargetxliffdir;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcexlifffile] の値を設定します。
     *
     * フィールドの説明: [マージ元となる XLIFF ファイル。]。
     *
     * @param argSourcexlifffile フィールド[sourcexlifffile]に設定する値。
     */
    public void setSourcexlifffile(final String argSourcexlifffile) {
        fSourcexlifffile = argSourcexlifffile;
    }

    /**
     * フィールド [sourcexlifffile] の値を取得します。
     *
     * フィールドの説明: [マージ元となる XLIFF ファイル。]。
     *
     * @return フィールド[sourcexlifffile]から取得した値。
     */
    public String getSourcexlifffile() {
        return fSourcexlifffile;
    }

    /**
     * フィールド [targetxliffdir] の値を設定します。
     *
     * フィールドの説明: [マージ先となる XLIFF を格納するディレクトリ。]。
     *
     * @param argTargetxliffdir フィールド[targetxliffdir]に設定する値。
     */
    public void setTargetxliffdir(final String argTargetxliffdir) {
        fTargetxliffdir = argTargetxliffdir;
    }

    /**
     * フィールド [targetxliffdir] の値を取得します。
     *
     * フィールドの説明: [マージ先となる XLIFF を格納するディレクトリ。]。
     *
     * @return フィールド[targetxliffdir]から取得した値。
     */
    public String getTargetxliffdir() {
        return fTargetxliffdir;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("benten.twa.xliff.core.valueobject.BentenMergeXliffFragmentProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcexlifffile=" + fSourcexlifffile);
        buf.append(",targetxliffdir=" + fTargetxliffdir);
        buf.append("]");
        return buf.toString();
    }
}
