/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.ui;

import org.eclipse.core.runtime.IStatus;

/**
 * UI ステータス例外です。
 */
@SuppressWarnings("serial")
public class UiStatusException extends Exception {

	private final UiStatus status;

	public UiStatusException(String message) {
		status = new UiStatus(IStatus.ERROR, message);
	}

	public IStatus getStatus() {
		return status;
	}
}
