/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.translation.core.omegat;

import benten.cat.translation.core.BentenTmDriver;
import benten.cat.translation.core.BentenTmDriverManager;
import benten.cat.translation.core.BentenTmEngine;

/**
 *
 * 
 * このクラスを Class.forName() すると、ドライバーが登録されます
 *
 */
public class DefaultTmDriver implements BentenTmDriver {
	static {
		// 自分を登録。
		BentenTmDriverManager.registerDriver(new DefaultTmDriver());
	}

	public String getName() {
		return "omegat";
	}

	public BentenTmEngine getEngineInstance() {
		return new DefaultTmEngine();
	}
}
