/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.core.dom;

import org.w3c.dom.Element;

/**
 * XLIFF の alt-trans 要素デリゲートです。
 */
public class AltTransDelegate extends TransBaseDelegate {

	public AltTransDelegate(Element element) {
		super(element);
	}

	public String getOrigin() {
		return getValue("@origin");
	}

	public String getMatchQuality() {
		return getValue("@match-quality");
	}
}
