/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.cat.wizards;

import benten.twa.cat.handler.ApplyFuzzyMatchHandler;
import benten.twa.ui.jobs.WizardWorkflowJob;
import benten.twa.ui.wizards.AbstractWorkflowWizard;

public class ApplyFuzzyMatchWizard extends AbstractWorkflowWizard {

	@Override
	public void addPages() {
		setWindowTitle("類似訳の適用");
		addPage(new ApplyFuzzyMatchWizardPage());
		addPage(new ApplyFuzzyMatchWizardPage2(getSelection()));
	}

	@Override
	protected void scheduleJob() {
		WizardWorkflowJob job = new WizardWorkflowJob("類似訳の適用中...");
		job.setStatus(getStatus());
		job.setHandler(new ApplyFuzzyMatchHandler());
		job.setCompleteWizardPage(new ApplyFuzzyMatchWizardPage3(), getWindowTitle());
		job.schedule();
	}
}
