/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.cat.wizards;

import benten.twa.cat.handler.MarkNoTransableHandler;
import benten.twa.ui.jobs.WizardWorkflowJob;
import benten.twa.ui.wizards.AbstractWorkflowWizard;

public class MarkNoTransableWizard extends AbstractWorkflowWizard {

	@Override
	public void addPages() {
		setWindowTitle("非翻訳対象のマーク");
		addPage(new MarkNoTransableWizardPage());
		addPage(new MarkNoTransableWizardPage2(getSelection()));
	}

	@Override
	protected void scheduleJob() {
		WizardWorkflowJob job = new WizardWorkflowJob("非翻訳対象のマーク中...");
		job.setStatus(getStatus());
		job.setHandler(new MarkNoTransableHandler());
		job.setCompleteWizardPage(new MarkNoTransableWizardPage3(), getWindowTitle());
		job.schedule();
	}
}
