/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.filter.wizards;

import benten.twa.filter.handler.ExportHtmlHandler;
import benten.twa.ui.jobs.WizardWorkflowJob;
import benten.twa.ui.wizards.AbstractWorkflowWizard;

public class ExportHtmlWizard extends AbstractWorkflowWizard {

	@Override
	public void addPages() {
		setWindowTitle("翻訳成果のエクスポート");
		addPage(new ExportHtmlWizardPage());
		addPage(new ExportHtmlWizardPage2(getSelection()));
	}

	@Override
	protected void scheduleJob() {
		WizardWorkflowJob job = new WizardWorkflowJob("翻訳成果のエクスポート中...");
		job.setStatus(getStatus());
		job.setHandler(new ExportHtmlHandler());
		job.setCompleteWizardPage(new ExportHtmlWizardPage3(), getWindowTitle());
		job.schedule();
	}
}
