/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.ui.jobs;

import org.eclipse.jface.wizard.WizardPage;

import benten.twa.ui.dialogs.WizardComleteDialog;

public class WizardWorkflowJob extends WorkflowJob {

	private WizardPage completeWizardPage;
	private String windowTitle;

	public WizardWorkflowJob(String name) {
		super(name);
		setUser(true);
	}

	public void setCompleteWizardPage(WizardPage completeWizardPage, String windowTitle) {
		this.completeWizardPage = completeWizardPage;
		this.windowTitle = windowTitle;
	}

	@Override
	protected void showCpmpleteMessage() {
		new WizardComleteDialog(windowTitle, completeWizardPage).open();
	}
}
